import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import "components"
import "view"
import "view/delegate"

import Artix.Core
import Artix.Gui
import Artix.Models
import Artix.Handlers

/**
 * @brief Диалог выбора разреза
 */
ChoiceList {
    id: root
    dataModel: AspectChoiceModel {}
    delegate: ChoiceListDelegate {
        contentItem: RowLayout {
            BasicLabel {
                Style.class: "aspectChoiceDelegate"
                Layout.fillWidth: true
                text: name
            }
            BasicLabel {
                Style.class: "aspectChoiceDelegate"
                text: Utils.formatMoneyItem(price)
                width: 172
                horizontalAlignment: Text.AlignRight
            }
        }
    }
    titleContent: BasicLabel {
        Style.class: "aspectChoiceTitle"
        Tr { code: "aspectChoiceMessage"; defaultMessage: "Выберите значение для товара" }
    }

    DialogHandler { id: handler }

    onAccept: handler.sendAnswer(dataModel.data(selectionModel.currentIndex, IndexPriceModel.CodeRole))
    onReject: handler.sendAnswer(-1)

    Component.onCompleted: dataModel.init(params.schemeCode)
}
