import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import "components"
import "view"
import "view/delegate"

import Artix.Core
import Artix.Gui
import Artix.Models
import Artix.Handlers

/**
 * @brief Форма диалога выбора из нескольких вариантов
 */
ChoiceList {
    cancelVisible: params.showCancel
    dataModel: TrListModel { variantData: params.choices }
    delegate: ChoiceListDelegate {
        contentItem: BasicLabel {
            Style.class: "simpleChoiceDelegate"
            Tr { tr: display }
            verticalAlignment: Qt.AlignVCenter
        }
    }
    titleContent: BasicLabel {
        Style.class: "simpleChoiceTitle"
        Tr { tr: params.title }
    }

    DialogHandler { id: handler }

    onAccept: handler.sendAnswer(selectionModel.currentIndex.row)
    onReject: handler.sendAnswer(-1)
}
