import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

import Artix.Gui
import Artix.Core
import "components"
import "./view"

/**
 * @brief Форма контекста инициализации
 */
BasicView {
    color: Style.parameter("color.lightBackground")
    implicitWidth: primaryScreen.geometry.width / scale
    withBottomPanel: false

    FullLogo {
        anchors.horizontalCenter: parent.horizontalCenter
        y: 208
        width: 280; height: 226
    }
    BasicLabel {
        anchors.horizontalCenter: parent.horizontalCenter
        y: 540
        Style.class: "startupMessage"
        text: TaskProgress.statusUi
    }
    ProgressBar {
        anchors.horizontalCenter: parent.horizontalCenter
        y: 576
        to: 100
        value: TaskProgress.progress
        width: 312
        height: 8
        background: Rectangle {
            color: Style.parameter("color.graySoft")
            radius: 20
        }
        contentItem: Item {
            property real progressWidth: width * parent.visualPosition
            Rectangle {
                y: 0
                x: 0
                height: parent.height
                width: parent.progressWidth
                color: Style.parameter("color.artixRed")
                radius: 20
            }
        }
    }
    BasicLabel {
        anchors.horizontalCenter: parent.horizontalCenter
        y: 624
        Style.class: "startupCash"
        Tr { code: "cashCode"; defaultMessage: "Касса %1"; args: [Session.cashCode] }
    }
}
