import QtQuick
import QtQuick.Controls

import Artix.Gui

// Главное окно второго экрана
Item {
    anchors.fill: parent
    Rectangle {
        anchors.fill: parent
        color: Style.parameter("color.lightBackground")
        Loader {
            id: content
            anchors.fill: parent
        }

        // Коннектим сигналы из C++ движка
        Connections {
            id: connections
            target: qmlMainWindow

            // Показать content второго экрана
            function onContentChanged(contentPath) {
                if (content.source != contentPath)
                    content.source = contentPath
                content.visible = true
            }

            // Скрыть content второго экрана
            function onHideContent() {
                content.visible = false
            }
        }
    }
}

