import QtQuick
import QtQuick.Controls

import Artix.Gui

/**
 * @brief Базовое представление контекста
 */
Page {
    padding: 0
    readonly property bool isForm: true
    property alias radius: background.radius
    property alias color: background.color
    property bool withBottomPanel: true // отображать нижнюю панель
    background: Rectangle {
        id: background
        color: Style.parameter("color.background")
    }

    implicitWidth: Style.resolution.width
    implicitHeight: Style.resolution.height - (withBottomPanel ? mainWindow.footer.height : 0)
    scale: mainWindow.scaleFactor
    transformOrigin: Item.TopLeft
}
