import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Artix.Gui

/**
 * @brief Контейнер для виджетов
 */
Control {
    id: root
    Style.type: "groupBox"
    Style.class: "default"

    property bool down: pressed
    property bool pressed: tapHandler.pressed
    property alias interactive: tapHandler.enabled
    property alias animationDuration: colorAnimation.duration
    signal clicked();

    background: Rectangle {
        color: root.Style.background.color
        border.color: root.Style.background.border.color
        border.width: root.Style.background.border.width
        radius: root.Style.background.radius

        Behavior on color { ColorAnimation { id: colorAnimation; duration: 100 } }
    }
    TapHandler {
        id: tapHandler
        onTapped: clicked()
    }
}
