import QtQuick
import QtQuick.Layouts

import "../components"

import Artix.Core
import Artix.Gui

/**
 * @brief Логотип для контекстов инициализации и авторизации
 */
Item {
    property real widthFactor: width / 226
    property real heightFactor: height / 226
    Image {
        id: logoImage
        anchors { top: parent.top; left: parent.left}
        width: 104 * widthFactor; height: 72 * heightFactor
        fillMode: Image.PreserveAspectFit
        source: Style.parameter("icon.artixLogo")
        Component.onCompleted: mainWindow.scaleImage(this)
    }
    Image {
        anchors { top: logoImage.bottom; topMargin: 8 * heightFactor}
        width: parent.width; height: 112 * heightFactor
        fillMode: Image.PreserveAspectFit
        source: Style.parameter("icon.authPos")
        Component.onCompleted: mainWindow.scaleImage(this)
    }
    BasicLabel {
        anchors { right: parent.right; bottom: parent.bottom }
        Style.class: "startupVersion"
        text: "v." + Session.versionInfo.version
    }
}
