import QtQuick
import QtQuick.VirtualKeyboard
import "../"

KeyboardLayout {
    id: root
    inputMode: InputEngine.InputMode.Numeric
    keyWeight: 1
    spacing: 10

    KeyboardRow {
        spacing: parent.spacing
        CustomKey { key: Qt.Key_C; text: "C"; customStyle: "blueDark28px900" }
        CustomBackspaceKey { customStyle: "blueDark28px900"}
        CustomKey { key: Qt.Key_Percent; text: "%"; customStyle: "blueDark28px900" }
        CustomKey { key: Qt.Key_Slash ; text: "÷"; customStyle: "blueLight28px900"}
    }

    KeyboardRow {
        spacing: parent.spacing
        Key { key: Qt.Key_1; text: "7" }
        Key { key: Qt.Key_2; text: "8" }
        Key { key: Qt.Key_3; text: "9" }
        CustomKey { key: Qt.Key_Asterisk; text: "×"; customStyle: "blueLight28px900" }
    }
    KeyboardRow {
        spacing: parent.spacing
        Key { key: Qt.Key_4; text: "4" }
        Key { key: Qt.Key_5; text: "5" }
        Key { key: Qt.Key_6; text: "6" }
        CustomKey { key: Qt.Key_Minus; text: "-"; customStyle: "blueLight28px900" }
    }
    KeyboardRow {
        spacing: parent.spacing
        Key { key: Qt.Key_1; text: "1" }
        Key { key: Qt.Key_2; text: "2" }
        Key { key: Qt.Key_3; text: "3" }
        CustomKey { key: Qt.Key_Plus; text: "+"; customStyle: "blueLight28px900" }
    }
    KeyboardRow {
        spacing: parent.spacing
        Key { key: Qt.Key_0; text: "0"; weight: keyWeight * 2.1 }
        Key { key: Qt.Key_Period; text: "." }
        CustomKey { key: Qt.Key_Equal; text: "="; customStyle: "blueLight28px900" }
    }
}
