import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import QtQuick.VirtualKeyboard
import QtQuick.VirtualKeyboard.Styles

import Artix.Gui

KeyboardStyle {
    id: currentStyle

    property string layoutType: "main"

    keyboardDesignWidth: 960
    keyboardDesignHeight: 296

    keyPanel: TextKey {}
    backspaceKeyPanel: IconKey {
        icon: Style.parameter("icon.keyboard.backspace")
        iconHeight: 32
    }
    languageKeyPanel: TextKey {}
    shiftKeyPanel: IconKey {
        icon: {
            if (InputContext.capsLockActive)
                return Style.parameter("icon.keyboard.capslock")
            return Style.parameter("icon.keyboard.shift")
        }
        iconHeight: 32
    }
    spaceKeyPanel: IconKey {
        icon: Style.parameter("icon.keyboard.spacebar")
        iconHeight: 10
    }
    enterKeyPanel: Enter {}
    modeKeyPanel: TextKey {}
    hideKeyPanel: IconKey {
        icon: Style.parameter("icon.keyboard.hide")
        iconHeight: 32
    }

    alternateKeysListItemWidth: 80
    alternateKeysListItemHeight: 80
    alternateKeysListDelegate: Item {
        width: alternateKeysListItemWidth
        height: alternateKeysListItemHeight
        property bool isCurrentItem: ListView.isCurrentItem
        Text {
            text: model.text
            anchors.centerIn: parent
            property bool down: isCurrentItem
            Style.type: "label"
            Style.class: "keyboardAlternateKey"

            color: Style.text.color
            font: Style.text.font
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
        }
    }
    alternateKeysListBackground: Rectangle { color: Style.parameter("color.graySoft"); radius: 4 }

    /// Убираем все не используемое
    symbolKeyPanel: null
    alternateKeysListHighlight: null
    keyboardBackground: null
    handwritingKeyPanel: null
    characterPreviewMargin: 0
    characterPreviewDelegate: null
    selectionListHeight: 0
    selectionListDelegate: null
    selectionListBackground: null
    selectionListAdd: null
    selectionListRemove: null
    navigationHighlight: null
    traceInputKeyPanelDelegate: null
    traceCanvasDelegate: null
    popupListBackground: null
    popupListAdd: null
    popupListRemove: null
    selectionHandle: null
    fullScreenInputContainerBackground: null
    fullScreenInputBackground: null
    fullScreenInputMargins: 0
    fullScreenInputPadding: 0
    fullScreenInputCursor: null
    fullScreenInputFont.pixelSize: 0

    /// Язык переключаем нажатием, без списка
    languagePopupListEnabled: false
    languageListDelegate: null
    languageListBackground: null
    languageListAdd: null
    languageListRemove: null
}
